package com.yihu.jw.entity.hospital.message;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author zmk
 * @vsrsion 1.0
 * Created at 2019/11/13
 */
@Entity
@Table(name = "base_banner")
public class BaseBannerDO extends UuidIdentityEntityWithOperator {

    /**
     *锦旗名称
     */
    @Column(name = "name")
    private String name;
    /*
      *医生id
     */
    @Column(name = "saas_id")
    private String saasId;
    /**

     *锦旗描述
     */
    @Column(name = "description")
    private String description;
    /**
     *锦旗图标
     */
    @Column(name = "img")
    private String img;


    /**
     * 排序
     */
    @Column(name = "is_sort")
    private Integer sort;
    /*
    *状态
     */
    @Column(name = "status")
    private Integer status;

    @Column(name = "saas_id")
    public String getSaasId() {
        return saasId;
    }

    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    @Column(name = "status")
    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "description")
    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    @Column(name = "img")
    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    @Column(name = "is_sort")
    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }
}
